# Copyright 2007, 2008 Intevation GmbH, Germany, <info@intevation.de>
# 
# This file is part of mpuls WASKA (CoMPUter-based case fiLeS - 
# Web-Anwendungs-Server fuer Kompetenzagenturen).
# 
# mpuls WASKA is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
# 
# mpuls WASKA is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public
# License for more details.
# 
# You should have received a copy of the GNU Affero General Public
# License along with mpuls WASKA. If not, see <http://www.gnu.org/licenses/>.
# 
# mpuls WASKA has been developed on behalf of the 
# Projekttraeger im Deutschen Zentrum fuer Luft- und Raumfahrt e.V. (PT-DLR)
# within the programme Kompetenzagenturen (Durchfuehrungsphase) funded by
# the Bundesministerium fuer Familie, Senioren, Frauen und Jugend and 
# European Social Fund resources.
"""Pylons middleware initialization"""
#import authkit.authenticate
#import authkit.authorize
#from authkit.permissions import ValidAuthKitUser
#import authkit

from paste.cascade import Cascade
from paste.registry import RegistryManager
from paste.urlparser import StaticURLParser
from paste.deploy.converters import asbool

from pylons import config
from pylons.error import error_template
from pylons.middleware import error_mapper, ErrorDocuments, ErrorHandler
#, \ StaticJavascripts

from pylons.wsgiapp import PylonsApp

#from waskaweb.lib.security import checkLogin


from waskaweb.config.environment import load_environment

#from authkit.authorize import NotAuthenticatedError

#class MyValidAuthKitUser(ValidAuthKitUser):
#    """
#    Checks that the signed in user is one of the users specified when setting up
#    the user management API.
#    """
#    def __init__(self):
#        pass
#    
#    def check(self, app, environ, start_response):
#        if not environ.get('REMOTE_USER'):
#            raise NotAuthenticatedError('Not Authenticated')
#        return app(environ, start_response)
#
def make_app(global_conf, full_stack=True, **app_conf):
    """Create a Pylons WSGI application and return it

    ``global_conf``
        The inherited configuration for this application. Normally from
        the [DEFAULT] section of the Paste ini file.

    ``full_stack``
        Whether or not this application provides a full WSGI stack (by
        default, meaning it handles its own exceptions and errors).
        Disable full_stack when this application is "managed" by
        another WSGI middleware.

    ``app_conf``
        The application's local configuration. Normally specified in the
        [app:<name>] section of the Paste ini file (where <name>
        defaults to main).
    """
    # Configure the Pylons environment
    load_environment(global_conf, app_conf)

    # The Pylons WSGI app
    app = PylonsApp()

    # CUSTOM MIDDLEWARE HERE (filtered by error handling middlewares)
    if asbool(full_stack):
        pass
        # Handle Python exceptions
        #app = ErrorHandler(app, global_conf, error_template=error_template,
        #                   **config['pylons.errorware'])


        # We want to protect the whole application
        #permission = MyValidAuthKitUser()
        #app = authkit.authorize.middleware(app, permission)
        #app = authkit.authenticate.middleware(app, app_conf)

        # Display error documents for 401, 403, 404 status codes (and
        # 500 when debug is disabled)
        #app = ErrorDocuments(app, global_conf, mapper=error_mapper, **app_conf)

    # Establish the Registry for this application
    app = RegistryManager(app)

    serve_static = config.get('serve_static')
    serve_static = serve_static and serve_static.lower() == "true" or False

    if serve_static:
        print "Serve Static"
        # Static files
        ##javascripts_app = StaticJavascripts()
        static_app = StaticURLParser(config['pylons.paths']['static_files'])
        ##app = Cascade([static_app, javascripts_app, app])
        app = Cascade([static_app, app])
    return app
