## -*- coding: utf-8 -*-
<%! import waskaweb.lib.filters as F %>
<table>
  <tr>
    <th class="table_header_h table_checkbox">&nbsp;</th>
    <th class="table_id table_header_h">${_('cm_overview_tbl_header_id')}
      <a href="/case_overview/overview/0/kundennummer/asc"><img class="sorticon" src="/images/icons/sort_asc.png"></a> 
      <a href="/case_overview/overview/0/kundennummer/desc"><img class="sorticon" src="/images/icons/sort_desc.png"></a> 
    </th>
    <th class="table_name table_header_h">${_('cm_overview_tbl_header_lastname')}
      <a href="/case_overview/overview/0/name_1/asc"><img class="sorticon" src="/images/icons/sort_asc.png"></a> 
      <a href="/case_overview/overview/0/name_1/desc"><img class="sorticon" src="/images/icons/sort_desc.png"></a> 
    </th>
    <th class="table_name table_header_h">${_('cm_overview_tbl_header_firstname')}
      <a href="/case_overview/overview/0/vorname_1/asc"><img class="sorticon" src="/images/icons/sort_asc.png"></a> 
      <a href="/case_overview/overview/0/vorname_1/desc"><img class="sorticon" src="/images/icons/sort_desc.png"></a> 
    </th>
    % if h.hasRole(['admin_ka']):
      <th class="table_name table_header_h">${_('cm_overview_tbl_header_editor')}
        <a href="/case_overview/overview/0/bearbeiter_id/asc"><img class="sorticon" src="/images/icons/sort_asc.png"></a> 
        <a href="/case_overview/overview/0/bearbeiter_id/desc"><img class="sorticon" src="/images/icons/sort_desc.png"></a> 
      </th>
    % else:
      <th class="table_header_h">${_('cm_overview_tbl_header_accesstime')}
        <a href="/case_overview/overview/0/zugriff/asc"><img class="sorticon" src="/images/icons/sort_asc.png"></a> 
        <a href="/case_overview/overview/0/zugriff/desc"><img class="sorticon" src="/images/icons/sort_desc.png"></a> 
      </th>
    % endif
    <th class="table_status table_header_h">${_('cm_overview_tbl_header_status')}</th>
    <th class="table_action table_header_h">${_('cm_overview_tbl_header_actions')}</th>
  </tr>
  <% idset = True %>
  % for case in c.cases.getDatasets():
    % if idset:
      <tr>
        <td><input type="checkbox" name="case_id" value="${case.id}"></td>
        ## If the case is marked for anonymisation do not show the
        ## first and lastname and the customer number.
        % if case.getState().getState() == 4 and h.hasRole('cm_ka'):
          <td>${h.getCaseShort('', 15) | F.NA, h}</td>
          <td>${h.getCaseShort('', 15) | F.NA, h}</td>
          <td>${h.getCaseShort('', 15) | F.NA, h}</td>
        % else:
          <td>${case.knr       | F.NA, h}</td>
          <td>${h.getCaseShort(case.last_name, 15) | F.NA, h}</td>
          <td>${h.getCaseShort(case.first_name, 15) | F.NA, h}</td>
        % endif
        % if h.hasRole(['admin_ka']):
          <td>
            ${case.getEditor().last_name | F.NA, h}, ${case.getEditor().first_name[0] | F.NA, h}.
          </td>
        % else:
          <td>${case.state.getAccessTime('%d.%m.%Y') | F.NA, h}</td>
        % endif
        <td>
          ## Show information based on phase
          % if case.getState().phase == -1:
            <img src="/images/phase_none.gif" border="0" title="Keine Phase gesetzt"> 
          % elif case.getState().phase == 0:
            <img src="/images/phase_a_running.gif" border="0" title="Eingangsanamnese läuft"> 
          % elif case.getState().phase == 1:
            <img src="/images/phase_a_finished.gif" border="0" title="Eingangsanamnese beendet"> 
          % elif case.getState().phase == 2:
            <img src="/images/phase_b_running.gif" border="0" title="Case-Management läuft"> 
          % elif case.getState().phase == 3:
            <img src="/images/phase_b_finished.gif" border="0" title="Case-Management beendet"> 
          % elif case.getState().phase == 4:
            <img src="/images/phase_c_running.gif" border="0" title="Nachbetreuung läuft"> 
          % elif case.getState().phase == 5:
            <img src="/images/phase_c_finished.gif" border="0" title="Nachbetreuung beendet"> 
          % elif case.getState().phase == 6:
            <img src="/images/phase_d_running.gif" border="0" title="Beratung läuft"> 
          % elif case.getState().phase == 7:
            <img src="/images/phase_d_finished.gif" border="0" title="Beratung beendet"> 
          % endif
          % if h.hasRole(['cm_ka']):
            % if str(case.getEditor().id) == str(session.get('USER_AUTHORIZED').id):
              <img src="/images/icons/editor_grey.gif" border="0" alt="${_('cm_overview_img_editor')}" title="${_('cm_overview_img_editor')}">
            % else:
              <img src="/images/icons/stand-in_grey.gif" border="0" alt="${_('cm_overview_img_standin')}" title="${_('cm_overview_img_standin')}">
            % endif
          % endif 
          % if case.getState().getState() in (1,2):
            <img src="/images/icons/work_in_progress_grey.gif" border="0" alt="${_('case_state_label_open')}" title="${_('case_state_label_open')}">
          % elif case.getState().getState() == 3:
            <img src="/images/icons/delete_grey.gif" border="0" alt="${_('case_state_label_delete')}" title="${_('case_state_label_delete')}">
          % elif case.getState().getState() == 4:
            <img src="/images/icons/anonym.gif" border="0" alt="${_('case_state_label_markanonym')}" title="${_('case_state_label_markanonym')}">
          % elif case.getState().getState() == 5:
            <img src="/images/icons/anonym.gif" border="0" alt="${_('case_state_label_anonym')}" title="${_('case_state_label_anonym')}">
          % endif
        </td>
        <td>
          % if case.getState().getState() != 5:
            <a href="/case/select/${case.id}/0/"><img src="/images/icons/view_red.gif" border="0" alt="${_('cm_overview_a_show')}" title="${_('cm_overview_a_show')}"></a>
          % endif
          % if h.hasRole(['admin_ka']):
            % if case.getState().getState() in (3,5):
              <a href="/case/delete/${case.id}/0/"><img src="/images/icons/delete_red.gif" border="0" alt="${_('cm_overview_a_delete')}" title="${_('cm_overview_a_delete')}"></a>
            % endif
            % if case.getState().getState() == 4:
              <a href="/case/anonymize/${case.id}/0/"><img src="/images/icons/anonym_red.gif" border="0" alt="${_('cm_overview_a_anonymize')}" title="${_('cm_overview_a_anonymize')}"></a>
            % endif
            % if case.getState().getState() in (3,4):
              <a href="/case/restore/${case.id}/0/"><img src="/images/icons/recover_red.gif" border="0" alt="${_('cm_overview_a_restore')}" title="${_('cm_overview_a_restore')}"></a>
            % endif
          % elif h.hasRole(['cm_ka']) and case.getState().getState() in (1,2):
            <a href="/case/markForAnonymizeFromOverview/${case.id}/0/"><img src="/images/icons/anonym_red.gif" border="0" alt="${_('cm_overview_a_anonymize')}" title="${_('cm_overview_a_anonymize')}"></a> 
            <a href="/case/markForDelete/${case.id}/0/"><img src="/images/icons/delete_red.gif" border="0" alt="${_('cm_overview_a_delete')}" title="${_('cm_overview_a_delete')}"></a> 
          % endif
        </td>
      </tr>
    % else:
      <tr>
        <td class="table_row_h"><input type="checkbox" name="case_id" value="${case.id}"></td>
        ## If the case is marked for anonymisation do not show the
        ## first and lastname and the customer number.
        % if case.getState().getState() == 4 and h.hasRole('cm_ka'):
          <td class="table_row_h">${h.getCaseShort('', 15) | F.NA, h}</td>
          <td class="table_row_h">${h.getCaseShort('', 15) | F.NA, h}</td>
          <td class="table_row_h">${h.getCaseShort('', 15) | F.NA, h}</td>
        % else:
          <td class="table_row_h">${case.knr       | F.NA, h}</td>
          <td class="table_row_h">${h.getCaseShort(case.last_name, 15) | F.NA, h}</td>
          <td class="table_row_h">${h.getCaseShort(case.first_name, 15) | F.NA, h}</td>
        % endif
        % if h.hasRole(['admin_ka']):
          <td class="table_row_h">
            ${case.getEditor().last_name | F.NA, h}, ${case.getEditor().first_name[0] | F.NA, h}.
          </td>
        % else:
          <td class="table_row_h">${case.state.getAccessTime('%d.%m.%Y') | F.NA, h}</td>
        % endif
        <td class="table_row_h">
          ## Show information based on phase
          % if case.getState().phase == -1:
            <img src="/images/phase_none.gif" border="0" title="Keine Phase gesetzt"> 
          % elif case.getState().phase == 0:
            <img src="/images/phase_a_running.gif" border="0" title="Eingangsanamnese läuft"> 
          % elif case.getState().phase == 1:
            <img src="/images/phase_a_finished.gif" border="0" title="Eingangsanamnese beendet"> 
          % elif case.getState().phase == 2:
            <img src="/images/phase_b_running.gif" border="0" title="Case-Management läuft"> 
          % elif case.getState().phase == 3:
            <img src="/images/phase_b_finished.gif" border="0" title="Case-Management beendet"> 
          % elif case.getState().phase == 4:
            <img src="/images/phase_c_running.gif" border="0" title="Nachbetreuung läuft"> 
          % elif case.getState().phase == 5:
            <img src="/images/phase_c_finished.gif" border="0" title="Nachbetreuung beendet"> 
          % elif case.getState().phase == 6:
            <img src="/images/phase_d_running.gif" border="0" title="Beratung läuft"> 
          % elif case.getState().phase == 7:
            <img src="/images/phase_d_finished.gif" border="0" title="Beratung beendet"> 
          % endif
          % if h.hasRole(['cm_ka']):
            % if str(case.getEditor().id) == str(session.get('USER_AUTHORIZED').id):
              <img src="/images/icons/editor_grey.gif" border="0" alt="${_('cm_overview_img_editor')}" title="${_('cm_overview_img_editor')}">
            % else:
              <img src="/images/icons/stand-in_grey.gif" border="0" alt="${_('cm_overview_img_standin')}" title="${_('cm_overview_img_standin')}">
            % endif
          % endif
          % if case.getState().getState() in (1,2):
            <img src="/images/icons/work_in_progress_grey.gif" border="0" alt="${_('case_state_label_open')}" title="${_('case_state_label_open')}">
          % elif case.getState().getState() == 3:
            <img src="/images/icons/delete_grey.gif" border="0" alt="${_('case_state_label_delete')}" title="${_('case_state_label_delete')}">
          % elif case.getState().getState() == 4:
            <img src="/images/icons/anonym.gif" border="0" alt="${_('case_state_label_markanonym')}" title="${_('case_state_label_markanonym')}">
          % elif case.getState().getState() == 5:
            <img src="/images/icons/anonym.gif" border="0" alt="${_('case_state_label_anonym')}" title="${_('case_state_label_anonym')}">
          % endif
        </td>
        <td class="table_row_h">
          % if case.getState().getState() != 5:
            <a href="/case/select/${case.id}/0/"><img src="/images/icons/view_red.gif" border="0" alt="${_('cm_overview_a_show')}" title="${_('cm_overview_a_show')}"></a>
          % endif
          % if h.hasRole(['admin_ka']):
            % if case.getState().getState() in (3, 5):
              <a href="/case/delete/${case.id}/0/"><img src="/images/icons/delete_red.gif" border="0" alt="${_('cm_overview_a_delete')}" title="${_('cm_overview_a_delete')}"></a>
            % endif
            % if case.getState().getState() == 4:
              <a href="/case/anonymize/${case.id}/0/"><img src="/images/icons/anonym_red.gif" border="0" alt="${_('cm_overview_a_anonymize')}" title="${_('cm_overview_a_anonymize')}"></a>
            % endif
            % if case.getState().getState() in (3,4):
              <a href="/case/restore/${case.id}/0/"><img src="/images/icons/recover_red.gif" border="0" alt="${_('cm_overview_a_restore')}" title="${_('cm_overview_a_restore')}"></a>
            % endif
          % elif h.hasRole(['cm_ka']) and case.getState().getState() in (1, 2):
            <a href="/case/markForAnonymizeFromOverview/${case.id}/0/"><img src="/images/icons/anonym_red.gif" border="0" alt="${_('cm_overview_a_anonymize')}" title="${_('cm_overview_a_anonymize')}"></a> 
            <a href="/case/markForDelete/${case.id}/0/"><img src="/images/icons/delete_red.gif" border="0" alt="${_('cm_overview_a_delete')}" title="${_('cm_overview_a_delete')}"></a>
          % endif
        </td>
      </tr>
    % endif
    <% idset = not idset %>
  % endfor
  % if len(c.cases.getDatasets()) <= 0:
  <tr>
    <td colspan="6">
      ${_('cm_overview_tbl_no_data_found')}
    </td>
  </tr>
  % endif
</table>
