## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import waskaweb.lib.filters as F %>
${next.body()}



<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="/case/" onclick="return checkModification();">${_('cm_np_root')}</a></li>
  <li><a href="/case_overview/overview/" onclick="return checkModification();">${_('cm_np_overview')}</a></li>
</%def>
<%def name="buildModusfield()">
</%def>

<%def name="buildInfofield()">
  <% case = session.get('case') %>
  <div id="infofield">
    <strong>${_('cm_info_name')}:</strong>
       ${h.getCaseShort(case.first_name, 15) | F.NA, h} 
       ${h.getCaseShort(case.last_name, 15)  | F.NA, h}<br>
    <strong>${_('cm_info_phase')}:</strong> ${ case.getState().getPhaseDescription() | h }<br>
    <strong>${_('cm_info_status')}:</strong>
       ${case.getState().getStateLabel()  | F.NA, h}<br>
    <strong>${_('cm_info_nr')}:</strong> ${case.knr | F.NA, h}
  </div>
</%def>

<%def name="buildPrivacyfield()">
   <div class="menu">
     <h1>${_('cm_main_header_data_protection')}</h1>
       <div class="actions">
          <div id="marked">
          <ul>
          % if not session.get('case').hasPrivacyStatement():
            <li><a href="/statement/setPrivacyStatement/${session.get('case').id}" onclick="return checkModification();"> ${_('cm_main_set_statement')}</a></li>
          % elif session.get('case').hasPrivacyStatement():
            <li><a href="/statement/declinePrivacyStatement/${session.get('case').id}/0" onclick="return checkModification();"> ${_('cm_main_revoke_statement')}</a></li>
          % endif
          % if session.get('case').getState().getState() not in (4,5):
            <li><a href="/case/markForAnonymize/${session.get('case').id}/0" onclick="return checkModification();"> ${_('cm_main_anonymize_case')}</a></li>
            <li><a href="/statement/listStatements/${session.get('case').id}" onclick="return checkModification();"> ${_('statement_list_statement')}</a></li>
          % endif
          </ul>
        </div>
       </div>
  </div>
</%def>

<%def name="buildNavigation()">
  <div class="menu">
    <h1>${_('cm_menu_header_cases')}</h1>
    <div class="actions">
    % if h.hasRole(['cm_ka', 'admin_ka']):
      ${self.buildInfofield()}
      <ul>
        <li><a href="${h.url_for(controller='/case_overview')}" onclick="return checkModification();"> ${_('cm_menu_link_backtooverview')}</a></li>
        <li><a href="/case/printAll/${session.get('case').id}/0" onclick="return checkModification();"> ${_('cm_menu_link_print')}</a></li>
        <li><a href="/case/printAll/${session.get('case').id}/1" onclick="return checkModification();"> ${_('cm_menu_link_printempty')}</a></li>
        % if h.hasRole(['cm_ka']):
          <li><a href="/case/newReminder/${session.get('case').id}" onclick="return checkModification();"> ${_('cm_menu_link_create_reminder')}</a></li>
        % endif
      </ul>
    % endif
    </div>
  </div>
  <div class="menu">
    <h1>${_('cm_menu_header_seperator')}</h1>
    <div class="actions">
      <ul>
        <li><a href="/case/digest/${session.get('case').id}" onclick="return checkModification();"> ${_('cm_menu_link_digest')}</a></li>
        % if h.hasRole(['cm_ka', 'admin_ka']):
        <li><a href="/case/phase/${session.get('case').id}" onclick="return checkModification();"> ${_('case_cm_phase')}</a></li>
        <li><a href="/case/organisation/${session.get('case').id}" onclick="return checkModification();"> ${_('cm_menu_link_organisation')}</a></li>
        <li><a href="/case/appointments/${session.get('case').id}" onclick="return checkModification();"> ${_('cm_menu_link_appointment')}</a></li>
        % if  h.hasRole(['cm_ka']):
            <li><a href="/case/logbook/${session.get('case').id}" onclick="return checkModification();"> Tagebuch</a></li>
        % endif
        <li><a href="/case/documents/${session.get('case').id}" onclick="return checkModification();"> ${_('cm_menu_link_documents')}</a></li>
        % endif
      </ul>
    </div>
  </div>
  <div class="menu">
    <h1>${_('cm_menu_header_structure')}</h1>
    ${c.form_navigation}
  </div>
</%def>


<%def name="buildUeberschrift()">
</%def>
