## -*- coding: utf-8 -*-
<div id="search_field">
  <form method="post" name="case_search" action="/case_overview/search/" accept-charset="UTF-8">
  <div>
    <input type="text" size="30" name="search_str" maxlength="256">
    <input type="submit" value="${_('cm_form_overview_search_submit')}">
    % if c.extended_search:
      <a href="/case_overview/overview_extended/">Erweiterte Suche ausblenden</a>
    % else:
      <a href="/case_overview/overview_extended/">Erweiterte Suche einblenden</a>
    % endif
    ${h.getHelp('extended_search')}
  </div>
  <div class="search_criteria">
    <strong>Suchfilter:</strong>
    % if h.hasRole(['cm_ka']):
      <input type="checkbox" name="show_own" id="show_own" value="1" checked="checked">
      <label for="show_own">
        <img title="Eigene Fallakten" alt="Bearbeiter"  src="/images/icons/editor_grey.gif">Eigene (${c.count_own})
      </label>
      <input type="checkbox" name="show_other" id="show_other" value="1" checked="checked">
      <label for="show_other">
        <img title="Vertreter Fallakten" alt="Vertreter"  src="/images/icons/stand-in_grey.gif">Vertretung (${c.count_standin})
      </label>
    % endif
    % if h.hasRole(['admin_ka']):
      <input type="checkbox" name="show_markdelete" id="show_markdelete" value="1" checked="checked">
      <label for="show_markdelete">
        <img title="Zu löschende Fallakten" alt="Schwebend Gelöscht" src="/images/icons/delete_grey.gif">Schwebend gelöscht (${c.count_del})
      </label>
      <input type="checkbox" name="show_markanonymize" id="show_markanonymize" value="1" checked="checked">
      <label for="show_markanonymize">
        <img title="Schwebend anonymisierte Fallakten" alt="Schwebend anonymisiert" src="/images/icons/anonym.gif">Schwebend anonymisiert (${c.count_markanon})
      </label>
    % endif
      <input type="checkbox" name="show_anonymized" id="show_anonymized" value="1" checked="checked">
    <label for="show_anonymized">
      <img title="Anonymisierte Fallakten" alt="Anonymisiert" src="/images/icons/anonym.gif">Anonymisiert (${c.count_anon})
    </label>
  </div>
  % if c.extended_search:
  <div class="search_criteria">
    <h3>Erweiterte Suche</h3>
    <table id="searchoptiontable">
      % if h.hasRole(['admin_ka']):
      <tr>
        <td width="80" valign="top"><label for="editor">Bearbeiter:</label></td>
        <td valign="top">
          <select name="editor" id="editor">
            <option value="-1">Alle Benutzer</option>
          % for user in c.userlist:
            <option value="${user.id}">${user.last_name | h}, ${user.first_name | h}</option>
          % endfor
          </select>
        </td>
      </tr>
      <tr>
        <td width="80" valign="top"><label for="branch">Filiale:</label></td>
        <td valign="top">
          <input type="text" name="branch" id="branch" maxlength="64">
        </td>
      </tr>
      % endif
      <tr>
        <td width="80" valign="top"><label for="gender">Geschlecht:</label></td>
        <td valign="top">
          <select name="gender" id="gender">
            <option value="-2">Alle</option>
            <option value="0">Weiblich</option>
            <option value="1">Männlich</option>
            <option value="2">Intersexuell</option>
            <option value="-1">Kein Angabe</option>
          </select>
        </td>
      </tr>
      <tr>
        <td width="80" valign="top"><label for="cm_state">CM-Status:</label></td>
        <td valign="top">
          <select name="cm_state" id="cm_state">
            <option value="all">Alle</option>
            <option value="clearing">Eingangsanamnese</option>
            <option value="before">Beratungskunde</option>
            <option value="active">CM-Laufend</option>
            <option value="finished">CM-Abgeschlossen</option>
            <option value="none">Keine Auswahl</option>
          </select>
        </td>
      </tr>
      <tr>
        <td width="80" valign="top"><label for="quarter">Zeitraum:</label></td>
        <td valign="top">
          <select name="quarter" id="quarter">
            <option value="-1">Keine Auswahl</option>
            <option value="1">1. Quartal</option>
            <option value="2">2. Quartal</option>
            <option value="3">3. Quartal</option>
            <option value="4">4. Quartal</option>
          </select>
          <select name="year">
            <option value="-1">Keine Auswahl</option>
            <option value="2006">2006</option>
            <option value="2007">2007</option>
            <option value="2008">2008</option>
            <option value="2009">2009</option>
            <option value="2010">2010</option>
            <option value="2011">2011</option>
            <option value="2012">2012</option>
          </select>
        </td>
      </tr>
      <tr>
        <td width="80" valign="top">Fallakte:</td>
        <td valign="top">
          <input type="checkbox" name="show_open" id="show_open" value="1" checked="checked">
          <label for="show_open">
            <img title="Bearbeitbare Fallakten" alt="Bearbeitbare" src="/images/icons/work_in_progress_grey.gif">Bearbeitbare Fallakten
          </label>
          <!--
          <input type="checkbox" name="show_closed" id="show_closed" value="1" checked="checked">
          <label for="show_closed">
            <img title="Geschlossene Fallakten" alt="Geschlossene" src="/images/icons/done_grey.gif">Geschlossen
          </label>
          -->
        </td>
      </tr>
    </table>
  </div>
  % else:
    <input type="hidden" name="show_open" value="1">
  % endif
  </form>
</div>
